import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MaDrawPrizeRecord } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-24 13:44
 */
interface MaDrawPrizeRecordCU extends ConditionUtil<MaDrawPrizeRecordCU> {
    ID: FieldUtil<MaDrawPrizeRecordCU>;
    PRIZE_ID: FieldUtil<MaDrawPrizeRecordCU>;
    PRIZE_INFO: FieldUtil<MaDrawPrizeRecordCU>;
    DRAW_CFG_ID: FieldUtil<MaDrawPrizeRecordCU>;
    USER_ID: FieldUtil<MaDrawPrizeRecordCU>;
    OPEN_ID: FieldUtil<MaDrawPrizeRecordCU>;
    PHONE: FieldUtil<MaDrawPrizeRecordCU>;
    USER_TYPE: FieldUtil<MaDrawPrizeRecordCU>;
    DRAW_STATUS: FieldUtil<MaDrawPrizeRecordCU>;
    WIN_STATUS: FieldUtil<MaDrawPrizeRecordCU>;
    REMARK: FieldUtil<MaDrawPrizeRecordCU>;
    CREATE_TIME: FieldUtil<MaDrawPrizeRecordCU>;
    UPDATE_TIME: FieldUtil<MaDrawPrizeRecordCU>;
}
declare class MaDrawPrizeRecordMU extends TableUtilImpl<MaDrawPrizeRecordCU, MaDrawPrizeRecord> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MaDrawPrizeRecordCU;
    static get ID(): FieldUtil<MaDrawPrizeRecordCU>;
    static get PRIZE_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    static get PRIZE_INFO(): FieldUtil<MaDrawPrizeRecordCU>;
    static get DRAW_CFG_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    static get USER_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    static get OPEN_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    static get PHONE(): FieldUtil<MaDrawPrizeRecordCU>;
    static get USER_TYPE(): FieldUtil<MaDrawPrizeRecordCU>;
    static get DRAW_STATUS(): FieldUtil<MaDrawPrizeRecordCU>;
    static get WIN_STATUS(): FieldUtil<MaDrawPrizeRecordCU>;
    static get REMARK(): FieldUtil<MaDrawPrizeRecordCU>;
    static get CREATE_TIME(): FieldUtil<MaDrawPrizeRecordCU>;
    static get UPDATE_TIME(): FieldUtil<MaDrawPrizeRecordCU>;
    get ID(): FieldUtil<MaDrawPrizeRecordCU>;
    get PRIZE_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    get PRIZE_INFO(): FieldUtil<MaDrawPrizeRecordCU>;
    get DRAW_CFG_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    get USER_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    get OPEN_ID(): FieldUtil<MaDrawPrizeRecordCU>;
    get PHONE(): FieldUtil<MaDrawPrizeRecordCU>;
    get USER_TYPE(): FieldUtil<MaDrawPrizeRecordCU>;
    get DRAW_STATUS(): FieldUtil<MaDrawPrizeRecordCU>;
    get WIN_STATUS(): FieldUtil<MaDrawPrizeRecordCU>;
    get REMARK(): FieldUtil<MaDrawPrizeRecordCU>;
    get CREATE_TIME(): FieldUtil<MaDrawPrizeRecordCU>;
    get UPDATE_TIME(): FieldUtil<MaDrawPrizeRecordCU>;
}
export { MaDrawPrizeRecordMU, MaDrawPrizeRecordCU };
